package br.gov.serpro.cte.email.compor;

import org.junit.Test;

import br.gov.serpro.cte.common.ExpressoMailTestCase;

/**
 * @author L.F.Estivalet (Serpro)
 * 
 *         Created on Nov 18, 2010 at 4:33:41 PM
 * 
 */
public class EnviarEmailSomenteCopiaOcultaTestCase extends ExpressoMailTestCase {

	@Test
	public void testa() throws Exception {
		super.composeEmail();
		selenium.click(getCampo("email.copia.oculta.1"));
		selenium.type(getCampo("email.copia.oculta.campo.1"),
				getValor("email.teste.1"));
		selenium.type(getCampo("email.assunto.1"),
				getValor("assunto.somente.copia.oculta"));
		super.sendEmail();
		super.assertMessage(getCampo("email.mensagem"),
				getMensagem("email.enviado"));

		// Remove email da Caixa de Entrada, itens enviados e lixeira.
		super.removeEmail(getValor("assunto.somente.copia.oculta"));
	}

}
